## autoaudiosink

autoaudiosink

## Properties

gint64 | ts-offset | Read / Write
gboolean | sync | Read / Write

## Types and Values

| GstAutoAudioSink

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBin
                        ╰── GstAutoDetect
                            ╰── GstAutoAudioSink

## Implemented Interfaces

GstAutoAudioSink implements GstChildProxy.

## Description

autoaudiosink is an audio sink that automatically detects an appropriate audio sink to use. It does so by scanning the registry for all elements that have “Sink” and “Audio” in the class field of their element information, and also have a non-zero autoplugging rank.

### Example launch line

    1

    gst-launch-1.0 -v -m audiotestsrc ! audioconvert ! audioresample ! autoaudiosink

## Synopsis

### Element Information

plugin | autodetect
author | Jan Schmidt <thaytan@noraisin.net>
class | Sink/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | ANY

## Functions

## Types and Values

### GstAutoAudioSink

    typedef struct _GstAutoAudioSink GstAutoAudioSink;

## Property Details

### The `“ts-offset”` property

      “ts-offset”                gint64

Timestamp offset in nanoseconds.

Owner: GstAutoAudioSink

Flags: Read / Write

Default value: 0

### The `“sync”` property

      “sync”                     gboolean

Sync on the clock.

Owner: GstAutoAudioSink

Flags: Read / Write

Default value: TRUE

## See Also

autovideosink, alsasink, osssink